org.apache.mina.example.gettingstarted.timeserver

## Class MinaTimeServer

- java.lang.Object
- - org.apache.mina.example.gettingstarted.timeserver.MinaTimeServer

-     public class MinaTimeServer
      extends Object

  A minimal 'time' server, returning the current date. Opening a telnet server, you will get the current date by typing any string followed by a new line. In order to quit, just send the 'quit' message.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinaTimeServer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` The server implementation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinaTimeServer

          public MinaTimeServer()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws IOException

      The server implementation. It's based on TCP, and uses a logging filter plus a text line decoder.
      Throws:
        `IOException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.